Skip to main content

Get Connectors

GET 

/v1/connector/get_connectors/:workspace_id

Search for connectors in a workspace.

Args:

connector_repository (ConnectorRepository): The repository for managing connectors. workspace_id (str): The workspace_id of the connector to be created. user (TokenData): The token data of the authenticated user. connector_id (str): Optional to filter the response connector_name (str): Optional parameter to filter the response connector_type (str): Optional parameter to filter the response

Returns:

List[ConnectorModelReponse]: a list of connectors

Important observations:

  • if there are no filters, it will return all connectors from the specified workspace
  • the id and name filters aren't exclusive - you can add both if you like
  • the name and id are exclusive from a connector - there are no connectors with the same name or id
  • if nothing matches the filters, it will return an empty list

Request

Responses

Successful Response